%define     gedadocdir %{_docdir}/gEDA
%define     real_ver   1.4.0

Name:       geda-examples
Version:    20080127
Release:    1%{?dist}

Summary:    Circuit examples for gEDA
Group:      Applications/Engineering
License:    GPLv2
URL:        http://www.geda.seul.org

Source:     http://geda.seul.org/release/v1.4/%{relver}/%{name}-%{real_ver}.tar.gz
BuildRoot:  %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

Requires:   geda-gschem

%if "%{?fedora}" > "6"
BuildRequires: perl-libs
%endif

BuildArch:  noarch


%description
This package contains circuit examples for the gEDA project.

%prep

%setup -q -n %{name}-%{real_ver}
# some files have Windows-type end-of-type encoding.
for f in `find . -name \*.mod -or -name \*.cir -or -name \*.netlist | sort` ;
do
   sed -i -e 's|\r||' $f ;
done

# correcting TwoStageAmp example to fit the geda-spice package
# please note that geda-spice is not provided
# neither geda/gaf nor the fedoraproject due to license restrictions
sed -i  \
's|.INCLUDE /home/sdb/TwoStageAmp/Simulation.cmd|.INCLUDE %{gedadocdir}/TwoStageAmp/Simulation.cmd|' \
    TwoStageAmp/spice.netlist

%build
%configure --with-docdir=%{gedadocdir}
%{__make} %{?_smp_mflags}

%install
%{__rm} -rf %{buildroot}
%{__make} INSTALL="%{_bindir}/install -p" install DESTDIR=%{buildroot}

%clean
%{__rm} -rf %{buildroot}

# geda-symbols is the Owner of the following directories
#%dir %{_docdir}/gEDA/readmes
#%dir %{_docdir}/gEDA/man
#%dir %{_docdir}/gEDA/examples
#%dir %{_datadir}/gEDA/bitmap
#%dir %{_datadir}/gEDA/gafrc.d

# libgeda is the Owner of the following directories
#%dir %{_datadir}/gEDA
#%dir %{_datadir}/doc/gEDA/
#%dir %{_datadir}/gEDA/scheme

%files
%defattr(-,root,root,-)
%doc AUTHORS COPYING ChangeLog README
%{gedadocdir}/examples/lightning_detector
%{gedadocdir}/examples/gTAG
%{gedadocdir}/examples/TwoStageAmp
%{gedadocdir}/examples/RF_Amp
%{gedadocdir}/examples/README

%Changelog
* Sat Feb 02 2008 Chitlesh Goorah <chitlesh [AT] fedoraproject DOT org> - 20080127-1
- New upstream release

* Tue Jan 22 2008 Chitlesh Goorah <chitlesh [AT] fedoraproject DOT org> - 20071231-1
- New upstream release

* Mon Sep 03 2007 Chitlesh Goorah <chitlesh [AT] fedoraproject DOT org> - 20070902-1
- New upstream release

* Thu Aug 23 2007 Chitlesh Goorah <chitlesh [AT] fedoraproject DOT org> - 20070708-2
- mass rebuild for fedora 8 - ppc32

* Sat Jul 14 2007 Chitlesh Goorah <chitlesh [AT] fedoraproject DOT org> - 20070708-1
- New upstream release

* Tue Jun 27 2007 Chitlesh Goorah <chitlesh [AT] fedoraproject DOT org> - 20070626-1
- new upstream release

* Thu Jun 14 2007 Chitlesh Goorah <chitlesh [AT] fedoraproject DOT org> - 20070526-1
- new upstream release

* Sun Apr 01 2007 Chitlesh Goorah <chitlesh [AT] fedoraproject DOT org> - 20070216-2
- TwoStageAmp bug fixes

* Wed Mar 28 2007 Chitlesh Goorah <chitlesh [AT] fedoraproject DOT org> - 20070216-1
- new upstream release on 2007 02 16

* Thu Nov 02 2006 Chitlesh Goorah <chitlesh@fedoraproject.org> - 20061020-1
- New upstream release

* Sun Sep 10 2006 Chitlesh Goorah <chitlesh@fedoraproject.org> - 20061006-2
- Rebuilt for FC-6 devel

* Sun Sep 10 2006 Chitlesh Goorah <chitlesh@fedoraproject.org> - 20060906-1
- Upstream release 20060906

* Wed Sep 06 2006 Chitlesh Goorah <chitlesh@fedoraproject.org> - 20060824-4
- Corrected stupid mistake "Encoded some files properly at %%setup"

* Tue Sep 05 2006 Chitlesh Goorah <chitlesh@fedoraproject.org> - 20060824-3
- Corrected stupid mistake "Encoded some files properly at %%setup"

* Tue Sep 05 2006 Chitlesh Goorah <chitlesh@fedoraproject.org> - 20060824-2
- Encoded some files properly at %%prep

* Tue Sep 05 2006 Chitlesh Goorah <chitlesh@fedoraproject.org> - 20060824-1
- Upstream release 20060824

* Sat Sep 02 2006 Chitlesh Goorah <chitlesh@fedoraproject.org> - 20060123-4
- Fixed ownership of directories

* Mon Aug 28 2006 Chitlesh Goorah <chitlesh@fedoraproject.org> - 20060123-3
- rebuilt for FC5 and later with minor fixes

* Wed Feb 22 2006 Wojciech Kazubski <wk at ire.pw.edu.pl> - 20060123-2.fc4
- more cleanup

* Fri Jan 27 2006 Wojciech Kazubski <wk at ire.pw.edu.pl> - 20060123-1.fc4
- updated to version 20060123

* Sun Jan 1 2006 Wojciech Kazubski <wk at ire.pw.edu.pl> - 20050820-2.fc4
- specfile cleanup

* Wed Aug 24 2005 Wojciech Kazubski <wk at ire.pw.edu.pl> - 20050820-1.fc4
- updated to version 20050820

* Sun Jul 3 2005 Wojciech Kazubski <wk at ire.pw.edu.pl> - 20050313-1.fc4
- rebuilt for Fedora Core 4

* Tue Mar 14 2005 Wojciech Kazubski <wk at ire.pw.edu.pl> - 20050313-1.fc3.wk
- updated to version 20050313

* Wed Dec 28 2004 Wojciech Kazubski <wk at ire.pw.edu.pl> - 20041228-1.fc3.wk
- updated to version 20041228

* Sun Dec 12 2004 Wojciech Kazubski <wk at ire.pw.edu.pl> - 20040111-1
- updated to version 20040111, built on Fedora Core 1
- modified specfile

* Thu Sep 4 2003 Wojciech Kazubski <wk at ire.pw.edu.pl> - 20030901-1
- updated to version 20030901

* Wed May 28 2003 Wojciech Kazubski <wk at ire.pw.edu.pl> - 20030525-1
- initialization of spec file, version 20030525, compiled on RedHat 9

# end of file
